# $Revision: 1.37 $, $Date: 2011/06/28 18:54:03 $
Summary:	Treat files on remote systems the same as local files
Summary(pl.UTF-8):	Traktowanie plików na zdalnych systemach jako lokalne
Name:		xemacs-efs-pkg
%define 	srcname	efs
Version:	1.34
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	1f424efc4a55b8da53a7d01136793c9d
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildRequires:	texinfo
Requires:	xemacs
Requires:	xemacs-base-pkg
Requires:	xemacs-dired-pkg
Requires:	xemacs-vm-pkg
Conflicts:	xemacs-sumo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EFS is a system for transparent file-transfer between remote VMS, CMS,
MTS, MVS, Twenex, Explorer (the last two are Lisp machines), TOPS-20,
DOS (running the Distinct, Novell, FTP software, NCSA, Microsoft in
both Unix and DOS mode, Super TCP, and Hellsoft FTP servers), Windows
NT (running the Microsoft or Hummingbird FTP servers), Unix
descriptive listings (dl), KA9Q, OS/2 hosts using FTP. This means that
you can edit, copy and otherwise manipulate files on any machine you
have access to from within Emacs as if it were a local file. EFS works
by introducing an extended filename syntax, and overloading functions
such as `insert-file-contents' so that accessing a remote file causes
appropriate commands to be sent to an FTP process. EFS includes and
enhanced version of Dired to facilitate directory browsing and
multiple file transfer from remote hosts.

%description -l pl.UTF-8
EFS jest systemem przezroczystego transferu plików pomiędzy zdalnym
VMS, CMS, MTS, MVS, Twenex, Explorer (przynajmniej dwa są maszynami
lispowymi), TOPS-20, DOS (z działającym Distinct, Novell, FTP, NCSA,
Microsoft w trybie Unix lub DOS, Super TCP, Hellsoft FTP), Windows NT
(z serwerem FTP Microsoftu lub Hummingbird), Unix descriptive listings
(dl), KA9Q, OS/2 z użyciem FTP. To znaczy, że możesz modyfikować,
kopiować i w inny sposób manipulować plikami na dowolnej maszynie do
której masz dostęp ze swojego Emacsa tak, jakby były to lokalne pliki.
EFS działa przez rozszerzoną składnię nazw plików i przeciążenie
funkcji typu "insert-file-contents" , więc dostęp do pliku zdalnego
powoduje wysłanie odpowiednich komend do procesu FTP. EFS zawiera
rozszerzoną wersję Dired, aby ułatwić przeglądanie katalogów i
ściąganie wielu plików ze zdalnych maszyn.

%prep
%setup -q -c
%patch0 -p1

%build
cd man/efs
awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc lisp/efs/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-efs-pkg.spec,v $
Revision 1.37  2011/06/28 18:54:03  marti
- up to 1.34

Revision 1.36  2011/02/06 16:50:46  sparky
- unified %clean section

Revision 1.35  2008/02/07 09:54:58  ankry
- unix -> Unix

Revision 1.34  2008-01-24 01:23:03  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.33  2007-04-06 22:45:15  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.32  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.30  2004/12/20 19:08:57  qboosh
- killed subshell in build

Revision 1.29  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.28  2004/10/24 21:53:16  paladine
- uppercases

Revision 1.27  2004/09/19 22:09:06  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.26  2003/11/26 13:10:05  speedy
updated to  1.32

Revision 1.25  2003/09/09 10:24:59  ankry
- spaces -> tab

Revision 1.24  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:28:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/07/17 17:15:35  kloczek
- updated to 1.29 and use new %doc.

Revision 1.21  2002/04/18 14:06:38  wiget
updated to 1.28

Revision 1.20  2002/04/14 12:26:57  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.19  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/17 14:29:15  kloczek
- updated to 1.27.

Revision 1.16  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/11 11:34:02  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.14  2001/09/11 11:37:19  mis
- added description, STB

Revision 1.13  2001/08/02 08:35:16  mis
- autoupdated to 1.26

Revision 1.12  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/02/13 18:08:45  mis
- updated to 1.22

Revision 1.9  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:17  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:35:12  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
